Browse Source

Fix pep8 job and small fixes for functional jobs

New versions of isort broke pylint. This patch fixes it at 4.3.21.

The issue appeared on stable branches that functional jobs can't find
correct pip version and failed due to not actual neutron version.

Change-Id: Id0a1d1c25eb90be4a2bed85de6c56b5fdf2d76d6
changes/24/741124/4
elajkat 2 weeks ago
committed by Lajos Katona
parent
commit
e4367d7917
4 changed files with 5 additions and 1 deletions
  1. +2
    -0
      .zuul.d/jobs.yaml
  2. +1
    -1
      lower-constraints.txt
  3. +1
    -0
      playbooks/functional/pre.yaml
  4. +1
    -0
      test-requirements.txt

+ 2
- 0
.zuul.d/jobs.yaml View File

@@ -162,6 +162,8 @@
Base job for devstack-based tests
pre-run: playbooks/devstack/pre.yaml
required-projects:
- openstack/neutron
- openstack/neutron-lib
- openstack/ceilometer
- openstack/networking-odl
- openstack/networking-l2gw


+ 1
- 1
lower-constraints.txt View File

@@ -52,7 +52,7 @@ httplib2==0.10.3
idna==2.6
imagesize==1.0.0
iso8601==0.1.12
isort==4.3.4
isort==4.3.21
Jinja2==2.10
jmespath==0.9.3
jsonpatch==1.21


+ 1
- 0
playbooks/functional/pre.yaml View File

@@ -20,6 +20,7 @@
DEVSTACK_PATH=$GATE_DEST/devstack
NETWORKING_ODL_DIR=$GATE_DEST/networking-odl
IS_GATE=True
PYTHON3_VERSION=${PYTHON3_VERSION:-3}
source ./tools/configure_for_func_testing.sh
configure_host_for_func_testing
executable: /bin/bash


+ 1
- 0
test-requirements.txt View File

@@ -18,6 +18,7 @@ testtools>=2.3.0 # MIT
bandit!=1.6.0,>=1.4.0 # Apache-2.0
bashate>=0.5.1 # Apache-2.0
astroid==2.1.0;python_version>="3.0" # LGPLv2.1
isort==4.3.21 # MIT

# To test ceilometer client
ceilometer>=11.0.0

Loading…
Cancel
Save